;;; -*- lisp -*-
;;
;; Time-stamp: <2006/04/12 17:38:28 CEST luca@gismo.pca.it>

;;;; * Default UCW configuration

;;;; This file (and the corresponding system `:ucw.default') defines
;;;; a default configuration for UCW, based on settings which should
;;;; be as general as possible and at the same time the most common.
;;;; Then, it loads the `*ucw-config-file*' via the `:ucw.config' system.


(in-package :it.bese.ucw-user)

;;;; * The default settings

;;;; General variables
(defvar *ucw-config-file* (arnesi:getenv "CONFIGFILE"))
(defvar *ucw-swank-port* 4005)

;;;; `ucw:create-server' variables
(defvar *ucw-backend-type* :httpd)
(defvar *ucw-backend-host* "127.0.0.1")
(defvar *ucw-backend-port* 8080)
(defvar *ucw-server-class* 'standard-server)

(defvar *ucw-applications-directory* "/etc/ucw/applications.d")
(defvar *ucw-systems* '(:ucw.admin :ucw.examples))
(defvar *ucw-applications* '(it.bese.ucw::*admin-application*
			     it.bese.ucw-user::*example-application*))

(defvar *ucw-inspector* t)
(defvar *ucw-debugger* t)
(defvar *ucw-log-root-directory* (arnesi:getenv "LOGROOT"))
(defvar *ucw-log-level* '+INFO+)

;;;; * Include the `*ucw-config-file*'

;;;; Load up the UCW config system
(asdf:oos 'asdf:load-op :ucw.config)

;;;; Load the config file
(when *ucw-config-file*
  (load-config-file))


;; Copyright (c) 2006 Luca Capello http://luca.pca.it <luca@pca.it>
;; All rights reserved.
;;
;; Redistribution and use in source and binary forms, with or without
;; modification, are permitted provided that the following conditions are
;; met:
;;
;;  - Redistributions of source code must retain the above copyright
;;    notice, this list of conditions and the following disclaimer.
;;
;;  - Redistributions in binary form must reproduce the above copyright
;;    notice, this list of conditions and the following disclaimer in the
;;    documentation and/or other materials provided with the distribution.
;;
;;  - Neither the name of Luca Capello, Edward Marco Baringer, nor
;;    BESE, nor the names of its contributors may be used to endorse
;;    or promote products derived from this software without specific
;;    prior written permission.
;;
;; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
;; "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
;; LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
;; A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
;; OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
;; SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
;; LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
;; DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
;; THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
;; (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
;; OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
